diff --git a/qtools/qbuffer.cpp b/qtools/qbuffer.cpp
index f68ef54..b360f47 100644
--- a/qtools/qbuffer.cpp
+++ b/qtools/qbuffer.cpp
@@ -312,8 +312,10 @@ int QBuffer::readBlock( char *p, uint len )
 int QBuffer::writeBlock( const char *p, uint len )
 {
 #if defined(CHECK_NULL)
-    if ( p == 0 && len != 0 )
+    if ( p == 0 && len != 0 ){
 	qWarning( "QBuffer::writeBlock: Null pointer error" );
+    return -1;
+	}
 #endif
 #if defined(CHECK_STATE)
     if ( !isOpen() ) {				// buffer not open
